// Dlg_newRforD.cpp : implementation file
//

#include "stdafx.h"
#include "Rubrikator.h"
#include "Rubr.h"
#include "Dlg_newRforD.h"
#include "RubrikatorDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlg_newRforD dialog


CDlg_newRforD::CDlg_newRforD(CWnd* pParent /*=NULL*/)
	: CDialog(CDlg_newRforD::IDD, pParent)
{
	EnableAutomation();

	//{{AFX_DATA_INIT(CDlg_newRforD)
	//}}AFX_DATA_INIT
}


void CDlg_newRforD::OnFinalRelease()
{
	// When the last reference for an automation object is released
	// OnFinalRelease is called.  The base class will automatically
	// deletes the object.  Add additional cleanup required for your
	// object before calling the base class.

	CDialog::OnFinalRelease();
}

void CDlg_newRforD::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlg_newRforD)
	DDX_Control(pDX, IDC_COMBO1, m_combo1);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDlg_newRforD, CDialog)
	//{{AFX_MSG_MAP(CDlg_newRforD)
	ON_WM_SHOWWINDOW()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

BEGIN_DISPATCH_MAP(CDlg_newRforD, CDialog)
	//{{AFX_DISPATCH_MAP(CDlg_newRforD)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_DISPATCH_MAP
END_DISPATCH_MAP()

// Note: we add support for IID_IDlg_newRforD to support typesafe binding
//  from VBA.  This IID must match the GUID that is attached to the 
//  dispinterface in the .ODL file.

// {BA9D8318-CC35-4274-8B1E-C767EC8DD823}
static const IID IID_IDlg_newRforD =
{ 0xba9d8318, 0xcc35, 0x4274, { 0x8b, 0x1e, 0xc7, 0x67, 0xec, 0x8d, 0xd8, 0x23 } };

BEGIN_INTERFACE_MAP(CDlg_newRforD, CDialog)
	INTERFACE_PART(CDlg_newRforD, IID_IDlg_newRforD, Dispatch)
END_INTERFACE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlg_newRforD message handlers

void CDlg_newRforD::OnShowWindow(BOOL bShow, UINT nStatus) 
{
	CDialog::OnShowWindow(bShow, nStatus);
	int i=0;

	UpdateData(true);

	// TODO: Add your message handler code here
	if (RR.tmpID>=0)
	{
		SetDlgItemText(IDC_STATIC2, RR.B.documents[RR.tmpID].path);

		m_combo1.ResetContent();
		for (i=0; i<RR.B.numR; i++)
			m_combo1.AddString(RR.B.rubriks[i].name);

		if (RR.B.documents[RR.tmpID].idR>=0) m_combo1.SetCurSel(RR.B.documents[RR.tmpID].idR);
	}
}

void CDlg_newRforD::OnOK() 
{
	// TODO: Add extra validation here
	
	if (m_combo1.GetCurSel()>-1)
	{
		RR.B.documents[RR.tmpID].idR=m_combo1.GetCurSel();
		AfxMessageBox("  ");

		// procent  101      
		RR.B.documents[RR.tmpID].procent+=101;

		RR.tmpID=-2; //         ...
		CDialog::OnOK();
	}
}

void CDlg_newRforD::OnCancel() 
{
	// TODO: Add extra cleanup here
	RR.tmpID=-1;
	CDialog::OnCancel();
}
