// Rubr.h: interface for the Rubr class.
//
//////////////////////////////////////////////////////////////////////
#include <windows.h>
#include <shlobj.h>

#ifdef _MAINFILE_
#define EXTERN /*nothing*/
#else
#define EXTERN extern
#endif

#if !defined(AFX_RUBR_H__974BCA95_E977_4983_AC14_5348FF370EB4__INCLUDED_)
#define AFX_RUBR_H__974BCA95_E977_4983_AC14_5348FF370EB4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

struct rubriksstruct{
	CString name;	//  
	CString dir;	//	 
	CString keyword[500];	//.  
	int numK;
};

struct documentsstruct{
	CString path;		//  
	int idR;			//id    
	double procent;		//%         .
};

struct basestruct{	
	documentsstruct *documents;	//
	rubriksstruct *rubriks; 	// +  
	CString paths[100]; 	//    
	int numP;	//- 
	int numD;	//- 
	int numR;	//- 
};

class Rubr  
{
public:
	int AddNewPath(CString y);
	int delDocument(int docID);
	CString NewPath();
	int moveFile(int docID);
	int Glasnaya(CString b);
	int LoadSettings(CString file); //  
	int SaveSettings(CString file); //  
	int DefWin(double *vector);   //  -   max 
	int DefineRubr(int idDoc);	//-  
	bool SearchFiles(LPCTSTR lpszFileName, BOOL bInnerFolders); //     
	int LoadFromDOC(CString file, CString *words, int *numW); //    doc
	int LoadFromTXT(CString file, CString *words, int *numW); //    txt
	int FindMusor(CString c, int mode=0);	//       -  
	int in_array(CString *words, int *numW, CString str, int countW, int mode=0, int *sumVW=0); // -    -   str
	int DocumentType(CString file); //    (doc  txt)
	int CountAllKeyword();	//     
	int SearchProbel(CString str); //   str
	Rubr();
	virtual ~Rubr();
	basestruct B;
	CString CurrentDir;	// 
	int tmpID;
	int Porog; // %    -   
};


EXTERN Rubr RR;
#endif // !defined(AFX_RUBR_H__974BCA95_E977_4983_AC14_5348FF370EB4__INCLUDED_)
