// RubrikatorDlg.cpp : implementation file
//

#define _MAINFILE_

#include "stdafx.h"
#include "Rubrikator.h"
#include "RubrikatorDlg.h"
#include "DlgProxy.h"
#include "Dlg_Rubriki.h"
#include "Dlg_newRforD.h"

#include "Rubr.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CRubrikatorDlg dialog

IMPLEMENT_DYNAMIC(CRubrikatorDlg, CDialog);

CRubrikatorDlg::CRubrikatorDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CRubrikatorDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CRubrikatorDlg)
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
	m_pAutoProxy = NULL;
}

CRubrikatorDlg::~CRubrikatorDlg()
{
	// If there is an automation proxy for this dialog, set
	//  its back pointer to this dialog to NULL, so it knows
	//  the dialog has been deleted.
	if (m_pAutoProxy != NULL)
		m_pAutoProxy->m_pDialog = NULL;
}

void CRubrikatorDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CRubrikatorDlg)
	DDX_Control(pDX, IDC_SLIDER1, m_slider);
	DDX_Control(pDX, IDC_LIST2, m_list2);
	DDX_Control(pDX, IDC_LIST1, m_list1);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CRubrikatorDlg, CDialog)
	//{{AFX_MSG_MAP(CRubrikatorDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_WM_CLOSE()
	ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
	ON_BN_CLICKED(IDC_BUTTON2, OnButton2)
	ON_BN_CLICKED(IDC_BUTTON3, On_EditRubriki)
	ON_WM_SHOWWINDOW()
	ON_BN_CLICKED(IDC_BUTTON8, OnButton8)
	ON_BN_CLICKED(IDC_BUTTON5, On_AddDir)
	ON_BN_CLICKED(IDC_BUTTON6, On_DelDir)
	ON_BN_CLICKED(IDC_BUTTON4, On_DelAllDir)
	ON_BN_CLICKED(IDC_BUTTON7, On_Glavnoe)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_SLIDER1, OnCustomdrawSlider1)
	ON_BN_CLICKED(IDC_BUTTON11, OnButton11)
	ON_WM_MOUSEMOVE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CRubrikatorDlg message handlers

BOOL CRubrikatorDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CRubrikatorDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CRubrikatorDlg::OnPaint() 
{
	CString y;

	y.Format("%d", RR.B.numR);
	SetDlgItemText(IDC_STATIC1,y);
	
	y.Format("%d", RR.CountAllKeyword());
	SetDlgItemText(IDC_STATIC2,y);

	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CRubrikatorDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

// Automation servers should not exit when a user closes the UI
//  if a controller still holds on to one of its objects.  These
//  message handlers make sure that if the proxy is still in use,
//  then the UI is hidden but the dialog remains around if it
//  is dismissed.

void CRubrikatorDlg::OnClose() 
{
	if (CanExit())
		CDialog::OnClose();
}

void CRubrikatorDlg::OnOK() 
{
	if (CanExit())
		CDialog::OnOK();
}

void CRubrikatorDlg::OnCancel() 
{
	if (CanExit())
		CDialog::OnCancel();
}

BOOL CRubrikatorDlg::CanExit()
{
	// If the proxy object is still around, then the automation
	//  controller is still holding on to this application.  Leave
	//  the dialog around, but hide its UI.
	if (m_pAutoProxy != NULL)
	{
		ShowWindow(SW_HIDE);
		return FALSE;
	}

	return TRUE;
}

void CRubrikatorDlg::OnButton1() 
{
	int n;
	CString y;
	
	UpdateData(true);
	if (m_list2.GetCurSel()>-1)
	{
		n=m_list2.GetCurSel();
		if (RR.delDocument(n)==1) m_list2.DeleteString(n);
	}	
	UpdateData(false);
}

void CRubrikatorDlg::OnButton2() 
{
	CDlg_newRforD dlg;
	
	if (m_list2.GetCurSel()>-1)
	{
		RR.tmpID=m_list2.GetCurSel();
		dlg.DoModal();
	}
}

//"/ "
void CRubrikatorDlg::On_EditRubriki() 
{
	CDlg_Rubriki dlg;
	dlg.DoModal();
}

void CRubrikatorDlg::OnShowWindow(BOOL bShow, UINT nStatus) 
{
	CDialog::OnShowWindow(bShow, nStatus);
	
	CString y;

	char CurrentDirectory[MAX_PATH];

	m_slider.SetRangeMin(1, false);
	m_slider.SetRangeMax(100, false);

	m_slider.SetPos(RR.Porog);

	SetDlgItemText(IDC_STATIC5,"1");
	
	GetCurrentDirectory(sizeof(CurrentDirectory),CurrentDirectory);
	RR.CurrentDir=CurrentDirectory;

	RR.LoadSettings("settings.dat");
	
	y.Format("%d", RR.B.numR);
	SetDlgItemText(IDC_STATIC1,y);
	
	y.Format("%d", RR.CountAllKeyword());
	SetDlgItemText(IDC_STATIC2,y);

	m_list1.ResetContent();

	for (int i=0; i<RR.B.numP; i++)
	{
		m_list1.AddString(RR.B.paths[i]);
	}
	UpdateData(FALSE);
}

void CRubrikatorDlg::OnButton8() 
{
	int n=-1, s, i, j=0, k=0;
	CString y;

	s=RR.B.numD;
	for(i=RR.B.numD-1; i>=0; i--)
	{
		n=RR.moveFile(i);

		if (n==-1) //  ...
		{
			k++;	
		}
		else if (n==-2 || n==-3)
		{
			y.Format(" %s    ,  ...", RR.B.documents[i].path);
		}
		else if (n==0)
		{			
			y.Format(" %s   ..   .", RR.B.documents[i].path);
			j++;
			RR.delDocument(i);			
			m_list2.DeleteString(i);
		}
		else  if (n==1)
		{
			j++;
			RR.delDocument(i);
			m_list2.DeleteString(i);
		}
				
		if (n<-1 || n==0) AfxMessageBox(y);
	}

	if (s-k!=0)	y.Format("       ! (%d  %d )", j, s-k);
	else		y.Format(" ...");

	AfxMessageBox(y);
}

void CRubrikatorDlg::On_AddDir() 
{
	CString y;

	y=RR.NewPath();

	if (y!="")
	{
		RR.AddNewPath(y);
		m_list1.AddString(y);
	}
}

//   .
void CRubrikatorDlg::On_DelDir() 
{
	int n, ex;
	CString y;
	
	UpdateData(true);
	if (m_list1.GetCurSel()>=0)
	{
		n=m_list1.GetCurSel();
		
		m_list1.ResetContent();
		for(int i=0; i<RR.B.numP-1; i++)
		{
			if (n==i)	ex=1;
			
			if (ex==1)	RR.B.paths[i]=RR.B.paths[i+1];
			
			m_list1.AddString(RR.B.paths[i]);
		}
		RR.B.numP--;
		RR.SaveSettings("settings.dat");
	}
}

//    
void CRubrikatorDlg::On_DelAllDir() 
{
	CString y;
	if (m_list1.GetCount()>0)
	{
		y.Format("     ?");
		if (AfxMessageBox(y, MB_OKCANCEL )==IDOK)
		{
			RR.B.numP=0;
			m_list1.ResetContent();
			RR.SaveSettings("settings.dat");
		}
	}
}

//     .
void CRubrikatorDlg::On_Glavnoe() 
{
	CString y,sm;
	int i, j, countF, n;
	double procent=0;
	RR.B.numD=0;

	m_list2.ResetContent();
	for (i=0; i<RR.B.numP; i++)
	{
		countF=RR.B.numD;

		y.Format("%s\\%s",RR.B.paths[i],"*.txt");
		RR.SearchFiles(y, FALSE);
		
		y.Format("%s\\%s",RR.B.paths[i],"*.doc");
		RR.SearchFiles(y, FALSE);

		for (j=countF; j<RR.B.numD; j++)
		{			
			n=RR.DefineRubr(j);
			
			if (n>=0) sm=RR.B.rubriks[n].name; else sm="";
			y.Format(": %s --> %s",RR.B.documents[j].path, sm);
			sm.Empty();
			
			if (RR.B.documents[j].procent>0)
				sm.Format("%s ( %.1lf%%  )", y, RR.B.documents[j].procent);
			else sm.Format("%s   ...", y);
	
			m_list2.AddString(sm);
			m_list2.RedrawWindow();
		}
	}
}

void CRubrikatorDlg::OnCustomdrawSlider1(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	CString y;
	y.Format("%ld%%",m_slider.GetPos());
	SetDlgItemText(IDC_STATIC5,y);
	RR.Porog=m_slider.GetPos();
	*pResult = 0;
}

void CRubrikatorDlg::OnButton11() 
{
	// TODO: Add your control notification handler code here
	UpdateData(false);
}

void CRubrikatorDlg::OnMouseMove(UINT nFlags, CPoint point) 
{
	// TODO: Add your message handler code here and/or call default
	
	int n=-1;
	CString y;

	if (RR.tmpID==-2)
	{
		UpdateData(true);
		n=m_list2.GetCurSel();

		m_list2.ResetContent();
		for(int i=0; i<RR.B.numD; i++)
		{			
			if (RR.B.documents[i].idR>=0)
			{
				if (RR.B.documents[i].procent<=100) y.Format(": %s --> %s ( %.1lf  )", RR.B.documents[i].path, RR.B.rubriks[RR.B.documents[i].idR].name, RR.B.documents[i].procent);
				else y.Format(": %s --> %s", RR.B.documents[i].path, RR.B.rubriks[RR.B.documents[i].idR].name);
			}
			else y.Format(": %s -->   ...", RR.B.documents[i].path);
			
			m_list2.AddString(y);
		}
		m_list2.SetCurSel(n);
		UpdateData(false);
		RR.tmpID=-1;
	}
	
	CDialog::OnMouseMove(nFlags, point);
}
